## ros-indigo-robotino-description 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robotino_description)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY urdf
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY meshes
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-robotino-description (0.0.24-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-robotino-description (0.0.23-0trusty) trusty; urgency=high

  * Temporal fix: ignore the visual model of the shell
  * colored the shell
  * update arm colltion model to include the airskin
  * compare tf tree with real robot -- odom frame fixed
  * added shell model to tuw-robotino-2
  * Integrate hclhand description on robotino_description
  * set 8 dof
  * update
  * simple base
  * removed collision and visual parts of virtual joints
  * test model
  * added gazebo_plugins
  * THE (hopefully) working model
  * use a simple base for non-arm robots
  * typo error
  * use gazebo plugin to move the baser
  * addapted base to 8 dof modus
  * made navigation and planning to work in parallel
  * removed base plan xacro
  * rolled back base
  * Contributors: Edith Langer, Philipp Zech, ipa-nhg, shangl

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-robotino-description (0.0.22-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-robotino-description (0.0.21-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-robotino-description (0.0.20-0trusty) trusty; urgency=high

  * simplify collision model
  * created a new base urdf to plan
  * Merge branch 'Arm' of github.com:ipa-nhg/squirrel_common into Arm
    Conflicts:
    robotino_description/urdf/arm.urdf.xacro
  * base 8 dof
  * 8 dof description
  * 8 dof description
  * clean and review arm link names
  * add missed depend
  * default inertia values for hand links
  * updated urdf
  * updated urdf
  * new arm description
  * package restructuration
  * Contributors: ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 06 Sep 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-robotino-description
Section: misc
Priority: extra
Maintainer: Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gazebo-plugins, ros-indigo-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-robotino-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-xacro
Description: The robotino_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-robotino-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
